Package org.eclipse.wst.xsl.core.model

## org.eclipse.wst.xsl.core.model
Class XSLModelObject.Type

    public class XSLModelObject.Type
    extends java.lang.Enum

## Field Summary

`public static org.eclipse.wst.xsl.core.model.XSLModelObject.Type` | `ATTRIBUTE`
`public static org.eclipse.wst.xsl.core.model.XSLModelObject.Type` | `CALL_TEMPLATE`
`public static org.eclipse.wst.xsl.core.model.XSLModelObject.Type` | `FUNCTION`
`public static org.eclipse.wst.xsl.core.model.XSLModelObject.Type` | `IMPORT`
`public static org.eclipse.wst.xsl.core.model.XSLModelObject.Type` | `INCLUDE`
`public static org.eclipse.wst.xsl.core.model.XSLModelObject.Type` | `OTHER_ELEMENT`
`public static org.eclipse.wst.xsl.core.model.XSLModelObject.Type` | `PARAM`
`public static org.eclipse.wst.xsl.core.model.XSLModelObject.Type` | `STYLESHEET`
`public static org.eclipse.wst.xsl.core.model.XSLModelObject.Type` | `STYLESHEET_MODEL`
`public static org.eclipse.wst.xsl.core.model.XSLModelObject.Type` | `TEMPLATE`
`public static org.eclipse.wst.xsl.core.model.XSLModelObject.Type` | `VARIABLE`

## Method Summary

`public static org.eclipse.wst.xsl.core.model.XSLModelObject.Type` | `valueOf(java.lang.String name)`
`public static org.eclipse.wst.xsl.core.model.XSLModelObject.Type[]` | `values()`

## Field Detail

## ATTRIBUTE

`public static org.eclipse.wst.xsl.core.model.XSLModelObject.Type ATTRIBUTE`

## CALL_TEMPLATE

`public static org.eclipse.wst.xsl.core.model.XSLModelObject.Type CALL_TEMPLATE`

## FUNCTION

`public static org.eclipse.wst.xsl.core.model.XSLModelObject.Type FUNCTION`

## IMPORT

`public static org.eclipse.wst.xsl.core.model.XSLModelObject.Type IMPORT`

## INCLUDE

`public static org.eclipse.wst.xsl.core.model.XSLModelObject.Type INCLUDE`

## OTHER_ELEMENT

`public static org.eclipse.wst.xsl.core.model.XSLModelObject.Type OTHER_ELEMENT`

## PARAM

`public static org.eclipse.wst.xsl.core.model.XSLModelObject.Type PARAM`

## STYLESHEET

`public static org.eclipse.wst.xsl.core.model.XSLModelObject.Type STYLESHEET`

## STYLESHEET_MODEL

`public static org.eclipse.wst.xsl.core.model.XSLModelObject.Type STYLESHEET_MODEL`

## TEMPLATE

`public static org.eclipse.wst.xsl.core.model.XSLModelObject.Type TEMPLATE`

## VARIABLE

`public static org.eclipse.wst.xsl.core.model.XSLModelObject.Type VARIABLE`

## Methods Detail

## valueOf

`public org.eclipse.wst.xsl.core.model.XSLModelObject.Type valueOf(java.lang.String name)`

### Parameters

`name`

### Returns

`org.eclipse.wst.xsl.core.model.XSLModelObject.Type`

## values

`public org.eclipse.wst.xsl.core.model.XSLModelObject.Type[] values()`

### Returns

`org.eclipse.wst.xsl.core.model.XSLModelObject.Type[]`